## odoo-12.0.tar.gz

=== requirements.txt ===
Babel==2.3.4
chardet==3.0.4
decorator==4.0.10
docutils==0.12
ebaysdk==2.1.5
feedparser==5.2.1
gevent==1.1.2 ; sys_platform != 'win32' and python_version < '3.7'
gevent==1.3.4 ; sys_platform != 'win32' and python_version >= '3.7'
gevent==1.4.0 ; sys_platform == 'win32' and python_version >= '3.7'
greenlet==0.4.10 ; python_version < '3.7'
greenlet==0.4.13 ; python_version >= '3.7'
html2text==2016.9.19
Jinja2==2.10.1
libsass==0.12.3
lxml==3.7.1 ; sys_platform != 'win32' and python_version < '3.7'
lxml==4.2.3 ; sys_platform != 'win32' and python_version >= '3.7'
lxml ; sys_platform == 'win32'
Mako==1.0.4
MarkupSafe==0.23
mock==2.0.0
num2words==0.5.6
ofxparse==0.16
passlib==1.6.5
Pillow==4.0.0 ; python_version < '3.7'
Pillow==6.1.0 ; python_version >= '3.7'
psutil==4.3.1; sys_platform != 'win32'
psutil==5.6.3; sys_platform == 'win32'
psycopg2==2.7.3.1; sys_platform != 'win32'
psycopg2==2.8.3; sys_platform == 'win32'
pydot==1.2.3
pyldap==2.4.28; sys_platform != 'win32'
pyparsing==2.1.10
PyPDF2==1.26.0
pyserial==3.1.1
python-dateutil==2.5.3
pytz==2016.7
pyusb==1.0.0
qrcode==5.3
reportlab==3.3.0
requests==2.20.0
suds-jurko==0.6
vatnumber==1.2
vobject==0.9.3
Werkzeug==0.11.15
XlsxWriter==0.9.3
xlwt==1.3.*
xlrd==1.0.0
pypiwin32 ; sys_platform == 'win32'

=== doc/requirements.txt ===
sphinx>=1.2
sphinx-patchqueue>=1.0

=== setup/win32/Makefile ===
include Makefile.version
include Makefile.python
include Makefile.servicename

SERVER_DIRECTORY=../..
FILES_DIRECTORY=release

MAKENSIS_ARGUMENTS=/DVERSION=$(VERSION) /DSERVICENAME=${SERVICENAME}

LAUNCH_MAKENSIS=/cygdrive/c/tools/cygwin/makensis $(MAKENSIS_ARGUMENTS) setup.nsi
WINPY_DIR=/cygdrive/c/odoobuild/WinPython/python-3.6.2

default: allinone

clean: server_clean
	rm -rf $(FILES_DIRECTORY)/*.exe
	rm -rf *.exe

server_clean:
	rm -rf $(SERVER_DIRECTORY)/dist 
	rm -rf $(SERVER_DIRECTORY)/build
	rm -rf $(SERVER_DIRECTORY)/win32/dist 
	rm -rf $(SERVER_DIRECTORY)/win32/build
	rm -rf $(SERVER_DIRECTORY)/*.exe
	rm -rf $(SERVER_DIRECTORY)/.cyg*

allinone: server_clean
	cp $(SERVER_DIRECTORY)/requirements.txt $(WINPY_DIR)/
	-(cd $(WINPY_DIR) && ./python.exe -m pip install --upgrade pip)
	-(cd $(WINPY_DIR) && cat requirements.txt | while read PAC ; do Scripts/pip3.exe install "$${PAC}" ; done)
	-(cd $(WINPY_DIR) && Scripts/pip3.exe freeze)
	rm $(WINPY_DIR)/requirements.txt
	(cd $(SERVER_DIRECTORY)/setup/win32 && $(LAUNCH_MAKENSIS))
	(cd $(SERVER_DIRECTORY)/setup/win32 && mkdir -p $(FILES_DIRECTORY))
	(cd $(SERVER_DIRECTORY)/setup/win32 && cp openerp-*.exe $(FILES_DIRECTORY)/openerp-server-setup-$(VERSION).exe)

=== debian/changelog ===
odoo (8.0.0) stable; urgency=low

  * Renamed package

 -- Simon Lejeune <sle@odoo.com>  Wed, 17 Sep 2014 15:40:00 +0100 

openerp (8.0.0~rc1-0) testing; urgency=low

  * Refactored packaging

 -- Simon Lejeune <sle@odoo.com>  Wed, 23 Jul 2014 14:59:00 +0100

openerp (6.1-1) testing; urgency=low

  * New major version, new packaging.

 -- Antony Lesuisse <al@openerp.com>  Sat, 01 Oct 2011 12:31:00 +0100

openerp-server (6.0.2-1) testing; urgency=low

  * Using upstream version 6.0.2

 -- Vo Minh Thu <vmt@openerp.com>  Tue, 05 Apr 2011 12:31:00 +0100

openerp-server (6.0.1-1) unstable; urgency=low

  * Translations from Rosetta (only zh_CN today)
  * Require postgres 8.2, not 8.4
  * Write changelog (recursive, isn't it?)
  * Repackage, together with addons fixes

 -- P. Christeas <xrg@openerp.com>  Mon, 24 Jan 2011 12:50:00 +0100
 

openerp-server (6.0.1-0) testing; urgency=low

  * Update to version 6.0.1

 -- P. Christeas <xrg@openerp.com>  Thu, 20 Jan 2011 21:21:00 +0100

openerp-server (6.0.0-0) testing; urgency=low

  * Update to version 6.0.0

 -- P. Christeas <xrg@openerp.com>  Wed, 19 Jan 2011 09:12:00 +0100

openerp-server (6.0.0~rc2-0) experimental; urgency=low

  * Upgrade to 6.0.0-rc2, let it build

 -- P. Christeas <xrg@openerp.com>  Mon, 17 Jan 2011 14:18:00 +0100

openerp-server (5.0.14-1) experimental; urgency=low

  * Updating to standards version 3.9.1.
  * Merging upstream version 5.0.14.

 -- Daniel Baumann <daniel@debian.org>  Wed, 15 Sep 2010 00:22:00 +0200

openerp-server (5.0.13-1) experimental; urgency=low

  * Merging upstream version 5.0.13.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Sep 2010 09:14:10 +0200

openerp-server (5.0.12-2) unstable; urgency=low

  * Removing debhelper auto install overrides.
  * Updating clean target in rules.
  * Reverting to manual setup.py call, updated for version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Aug 2010 18:53:43 +0200

openerp-server (5.0.12-1) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Jul 2010 19:46:39 +0200

openerp-server (5.0.11-1) unstable; urgency=low

  * Merging upstream version 5.0.11.
  * Adding patch from Timothy E. Harris <maintainer@mepiscommunity.org>
    to prevents creating a new database if the locale is not a UTF-8 one
    (Closes: #584976).

 -- Daniel Baumann <daniel@debian.org>  Tue, 08 Jun 2010 11:42:23 +0200

openerp-server (5.0.10-1) unstable; urgency=low

  * Merging upstream version 5.0.10.

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 May 2010 15:02:31 +0200

openerp-server (5.0.9-1) unstable; urgency=low

  * Merging upstream version 5.0.9.

 -- Daniel Baumann <daniel@debian.org>  Fri, 16 Apr 2010 06:47:02 +0200

openerp-server (5.0.8-1) unstable; urgency=low

  * Merging upstream version 5.0.8.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Apr 2010 20:19:21 +0200

openerp-server (5.0.7-2) unstable; urgency=low

  * Updating python build-depends.
  * Adding patch to fix bad whatis entry in openerp-server manpage.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Apr 2010 00:09:23 +0200

openerp-server (5.0.7-1) unstable; urgency=low

  * Merging upstream version 5.0.7 (Closes: #573716):
  * Updating copyright file.
  * Resorting the dh call to more common order.
  * Updating README.source.
  * Dropping python-lxml patch, went upstream.
  * Dropping postgresql-8.4.patch, went upstream.
  * Adding some more python module build-depends to avoid some chicken-
    egg problem with the new setup.py and quilt.
  * Adding dependency to remote_fs in init script.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Mar 2010 13:55:50 +0100

openerp-server (5.0.6-4) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Adding patch from Toni Mueller <support@oeko.net> to fix SQL for
    postgresql 8.4 (Closes: #568119).

 -- Daniel Baumann <daniel@debian.org>  Sat, 06 Feb 2010 10:22:05 +0100

openerp-server (5.0.6-3) unstable; urgency=low

  [ Daniel Baumann ]
  * Setting last-translator for German debconf templates to me, no
    intention do deal with debian-l10n-german in the future anymore.

  [ Mathias Behrle ]
  * Removing deprecated option -q for PostgreSQL client commands
    (Closes: #548875).

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 Oct 2009 09:20:27 +0100

openerp-server (5.0.6-2) unstable; urgency=low

  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Oct 2009 21:19:57 +0200

openerp-server (5.0.6-1) unstable; urgency=low

  * Merging upstream version 5.0.6.
  * Rediffing python-lxml.patch.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 Oct 2009 08:32:56 +0200

openerp-server (5.0.5-1) unstable; urgency=low

  * Merging upstream version 5.0.5.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Sep 2009 20:38:00 +0200

openerp-server (5.0.4-1) unstable; urgency=medium

  * Merging upstream version 5.0.4:
    - fixes a security problem.
  * No longer calling debconf-updatepo in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Sep 2009 00:01:13 +0200

openerp-server (5.0.3-0-2) unstable; urgency=low

  * Adding README.source.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.
  * Adding patch from upstream to use python-lxml instead of python-xml,
    thanks to Alan Bell <alan.bell@theopenlearningcentre.com> (Closes:
    #543947).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Sep 2009 21:18:30 +0200

openerp-server (5.0.3-0-1) unstable; urgency=low

  * Merging upstream version 5.0.3-0.
  * Removing xmlrpc.patch, went upstream.
  * Using dedicated storage directory in /var/lib/openerp-server, that
    way the addons directory can stay read-only for the unprivileged
    user.
  * Commenting out db_name in config (Closes: #542391).


=== debian/control ===
Source: odoo
Section: net
Priority: optional
Maintainer: Odoo S.A. <info@odoo.com>
Uploaders: Aaron Bohy <aab@odoo.com>, Simon Lejeune <sle@odoo.com>
Build-Depends: debhelper (>= 9.2), dh-python, python3, rsync, python3-setuptools
Standards-Version: 3.9.8
Homepage: http://www.odoo.com/
Vcs-Git: https://github.com/odoo/odoo

Package: odoo
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 lsb-base,
 postgresql-client,
 python3-babel,
 python3-chardet,
 python3-dateutil,
 python3-decorator,
 python3-docutils,
 python3-feedparser,
 python3-html2text,
 python3-pil,
 python3-jinja2,
 python3-libsass,
 python3-lxml,
 python3-mako,
 python3-mock,
 python3-passlib,
 python3-psutil,
 python3-psycopg2,
 python3-pydot,
 python3-pyparsing,
 python3-pypdf2,
 python3-reportlab,
 python3-requests,
 python3-suds,
 python3-tz,
 python3-vatnumber,
 python3-werkzeug,
 python3-xlsxwriter,
Conflicts: tinyerp-server, openerp-server, openerp-web, openerp
Replaces: tinyerp-server, openerp-server, openerp-web, openerp
Recommends:
 ${python3:Recommends},
 postgresql,
 python3-pyldap,
 python3-qrcode,
 python3-vobject,
Description: Open Source Apps To Grow Your Business
 Odoo, formerly known as OpenERP, is a suite of open-source business apps
 written in Python and released under the LGPLv3 license. This suite of
 applications covers all business needs, from Website/Ecommerce down to
 manufacturing, inventory and accounting, all seamlessly integrated. Odoo's
 technical features include a distributed server, flexible workflows, an object
 database, a dynamic GUI, customizable reports, and an XML-RPC interface. Odoo
 is the most installed business software in the world. It is used by 2.000.000
 users worldwide ranging from very small companies (1 user) to very large ones
 (300 000 users).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=odoo-bin
export PYBUILD_DISABLE=test

%:
	dh ${@} --with=python3,systemd --buildsystem=pybuild
